## bareos-vmware-vix-disklib 7.0.1

=== doc/samples/diskLib/Makefile ===
INCLUDEDIR=../../../include
LIBDIR=../../../lib64
LIBS=-ldl -lz -lsqlite3 -lcurl -lssl -lcrypto -lcares

ifdef VIX_AIO_BUFPOOL_SIZE
CXXFLAGS+= -DVIX_AIO_BUFPOOL_SIZE=$(VIX_AIO_BUFPOOL_SIZE)
endif

CXXFLAGS+= -std=c++1y -lpthread

all: vix-disklib-sample vix-mntapi-sample

vix-disklib-sample: vixDiskLibSample.cpp
	$(CXX) $(CXXFLAGS) -o $@ -I$(INCLUDEDIR) -L$(LIBDIR) $? $(LIBS) -lvixDiskLib

vix-mntapi-sample:  vixDiskLibSample.cpp
	$(CXX) $(CXXFLAGS) -o $@ -DFOR_MNTAPI -I$(INCLUDEDIR) -L$(LIBDIR) $? $(LIBS) \
	   -lfuse -lvixDiskLib -lvixMntapi

clean:
	$(RM) -f vix-disklib-sample vix-mntapi-sample

=== debian/changelog ===
bareos-vmware-vix-disklib (7.0.1-16860560) unstable; urgency=low

  * update to upstream version

 -- Bareos Team <packager@bareos.com>  Wed, 19 Nov 2020 00:00:00 +0200

=== debian/control ===
Source: bareos-vmware-vix-disklib
Priority: extra
Maintainer: Bareos Team <packager@bareos.com> 
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Section: libs
Homepage: https://www.vmware.com/support/developer/vddk/

Package: bareos-vmware-vix-disklib
Architecture: amd64
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VMware vix disklib distributable libraries 
 The Virtual Disk Development Kit (VDDK) is a collection of C/C++ libraries,
 code samples, utilities, and documentation to help you create and access
 VMware virtual disk storage. The VDDK is useful in conjunction with the
 vSphere API for writing backup and recovery software, or similar applications.
 This package only contains the distributable code to comply with
 https://communities.vmware.com/viewwebdoc.jspa?documentID=DOC-10141

## bareos-vmware-vix-disklib 8.0.3

=== debian/changelog ===
bareos-vmware-vix-disklib (8.0.3-23950268) unstable; urgency=low

  * update to upstream version

 -- Bareos Team <packager@bareos.com>  Fri, 15 Nov 2024 00:00:00 +0200

## bareos-vmware-vix-disklib 9.0.0.0

=== doc/samples/diskLib/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 INCLUDEDIR=../../../include
 LIBDIR=../../../lib64
-LIBS=-ldl -lz -lsqlite3 -lcurl -lssl -lcrypto -lcares
+LIBS=-ldl -lz -lcurl -lssl -lcrypto -lcares
 
 ifdef VIX_AIO_BUFPOOL_SIZE
 CXXFLAGS+= -DVIX_AIO_BUFPOOL_SIZE=$(VIX_AIO_BUFPOOL_SIZE)
 endif
 
-CXXFLAGS+= -std=c++1y -lpthread
+CXXFLAGS+= -std=c++20 -lpthread
 
 all: vix-disklib-sample vix-mntapi-sample

=== debian/changelog ===
bareos-vmware-vix-disklib (9.0.0.0-24742305) unstable; urgency=low

  * update to upstream version

 -- Bareos Team <packager@bareos.com>  Mon, 11 Aug 2025 00:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,6 @@
  code samples, utilities, and documentation to help you create and access
  VMware virtual disk storage. The VDDK is useful in conjunction with the
  vSphere API for writing backup and recovery software, or similar applications.
- This package only contains the distributable code to comply with
- https://communities.vmware.com/viewwebdoc.jspa?documentID=DOC-10141
+ This package only contains the redistributable code to comply with
+ http://www.vmware.com/go/vwssdk-redistribution-info

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_shlibdeps:
